@import url('https://fonts.googleapis.com/css2?family=Urbanist:wght@300;400;500;700&display=swap');

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body{
    font-family: 'Urbanist', sans-serif;
}


/*NAV*/

.container{
    width: 90%;
    min-width: 1200px;
    margin: 0 auto;
    overflow: hidden;
}

.hero{
    background-image: linear-gradient(to right, #4facfe 0%, #00f2fe 100%);
    color: #fff;
    display: grid;
    grid-template-rows: max-content 1fr;
    grid-template-areas:
    "nav"
    "contenido";
    max-height: 100vh;
}

.nav{
    grid-area: nav;
    display: grid;
    justify-content: space-between;
    grid-auto-flow: column;
    gap: 1em;
    align-items: center;
    height: 90px;
}

.nav__list{
    list-style: none;
    display: grid;
    grid-auto-flow: column;
    gap: 1em;
}

.nav__link{
    color: #fff;
    text-decoration: none;
}

.nav__logo{
    font-size: 1.8rem;
    font-weight: 300;
}

.nav__menu{
    display: none;
}

.nav__icon{
    width: 30px;
}

/*HEADER MAIN*/

.hero__main{
    display: grid;
    grid-area: contenido;
    gap: 2em;
    padding-bottom: 180px;
    grid-template-columns: 1fr 1fr;
    align-items: center;
}

.hero__wave{
    grid-area: contenido;
    align-self: end;
}

.hero__title{
    font-size: 2.6rem;
    letter-spacing: 2px;
}

.hero__subtitulo{
    margin-top: 1rem;
    margin-bottom: 1.5rem;
    font-size: 1.5rem;
    font-weight: 300;
}

.hero__boton{
    text-decoration: none;
    color: #fff;
    padding: 15px 60px;
    border: 1px solid;
    border-radius: 6px;
    display: inline-block;
    font-weight: 500;
    transition: background-color .3s;
}

.hero__boton:hover{
    background-color: #fff;
    color: #1e3c72;
}

.hero__img{
    width: 100%;
}

@media (max-width: 800px){

    .nav__list{
        display: none;
    }

    .nav__menu{
        display: block;
    }
    
    .hero__main{
        grid-template-columns: 1fr;
        grid-template-rows: max-content max-content;
        text-align: center;
    }

    .hero__imagen{
        grid-row: 1 / 2;
    }

    .hero__img{
        max-width: 500px;
        display: block;
        margin: 0 auto;
    }

}